Package: org.grails.core

## [Java] Class DefaultGrailsTagLibClass

- org.grails.core.DefaultGrailsTagLibClass

- All Implemented Interfaces and Traits:
    GrailsTagLibClass

      public class DefaultGrailsTagLibClass
      extends AbstractInjectableGrailsClass

  Default implementation of a tag lib class.

  Authors:
    Graeme Rocher

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static java.lang.String` | `TAG_LIB` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `grailsApplication`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsTagLibClass (java.lang.Class<?> clazz)` Default contructor.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.Object` | `getDefaultEncodeAs()`
    `` | `java.lang.Object` | `getEncodeAsForTag(java.lang.String tagName)`
    `` | `java.lang.String` | `getNamespace()`
    `` | `java.util.Set<java.lang.String>` | `getTagNames()`
    `` | `java.util.Set<java.lang.String>` | `getTagNamesThatReturnObject()`
    `` | `boolean` | `hasTag(java.lang.String tagName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractInjectableGrailsClass` | `byName, byType, getAvailable`
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, setGrailsApplication, toString`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected static final java.lang.String TAG_LIB

  - ### Constructor Detail

    - #### @java.lang.SuppressWarnings("rawtypes") public DefaultGrailsTagLibClass(java.lang.Class<?> clazz)

      Default contructor.

      Parameters:
        `clazz` - the tag library class

  - ### Method Detail

    - #### public java.lang.Object getDefaultEncodeAs()

    - #### public java.lang.Object getEncodeAsForTag(java.lang.String tagName)

    - #### public java.lang.String getNamespace()

    - #### public java.util.Set<java.lang.String> getTagNames()

    - #### public java.util.Set<java.lang.String> getTagNamesThatReturnObject()

    - #### public boolean hasTag(java.lang.String tagName)